> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/customs-catalog-api/products.md).

# Products

## GET /api/v2/Products/Invalid

> Returns a list of invalid products for display on the UI.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Enums.SearchRequestType":{"enum":["ValidProducts","InvalidProducts","DefaultClassification","InvalidLogs"],"type":"string","description":"The type of searches that can be called from the UI"},"Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType":{"enum":["InvalidProducts","DefaultClassifiedProducts","IncompleteRatings","FailedFilesAndApiRequests","AwaitingClassification"],"type":"string","description":"ErrorSearchType"},"Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.BaseCatalog"},"description":"List of results","nullable":true},"pagination":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.Pagination"}},"additionalProperties":false,"description":"InvalidProductResponse"},"Customs.Catalog.Domain.Pkg.Models.Domain.BaseCatalog":{"type":"object","properties":{"id":{"type":"string","description":"Internal Cosmos ID","nullable":true},"timestamp":{"type":"string","description":"Internal Cosmos timestamp.","format":"date-time","readOnly":true},"eTag":{"type":"string","description":"Internal Cosmos ETag","nullable":true,"readOnly":true},"lastModifiedDateTime":{"type":"string","description":"LastModifiedDate of the record. Will serialize the Timestamp field to a DateTime across the API.","format":"date-time","readOnly":true},"modifiedBy":{"type":"string","description":"Modified By","nullable":true},"correlationId":{"type":"string","description":"Correlation Id","nullable":true},"traceContext":{"type":"string","description":"TraceContext","nullable":true},"brandCode":{"type":"string","description":"Unique three-letter identifier for the retailer’s brand","nullable":true},"dataSource":{"type":"string","description":"The datasource of the object i.e. File/Api","nullable":true},"dataSourceAdditionalInfo":{"type":"string","description":"Additional info on the datasource e.g. filename or blobname","nullable":true},"userName":{"type":"string","description":"Holds input data request username","nullable":true},"lastModifiedUserName":{"type":"string","description":"Holds last updated username","nullable":true},"catalogInputInfoReferenceId":{"type":"string","description":"Holds input data information reference id","nullable":true},"status":{"type":"string","description":"Holds status","nullable":true}},"additionalProperties":false,"description":"Base Catalog"},"Customs.Catalog.Domain.Pkg.Models.Paging.Pagination":{"type":"object","properties":{"currentPage":{"type":"integer","description":"Gets or sets the current page.","format":"int32"},"pageCount":{"type":"integer","description":"Gets or sets the page count.","format":"int32"},"pageSize":{"type":"integer","description":"Gets or sets the size of the page.","format":"int32"},"rowCount":{"type":"integer","description":"Gets or sets the row count.","format":"int32"},"firstRowOnPage":{"type":"integer","description":"Gets the first row on page.","format":"int32","readOnly":true},"lastRowOnPage":{"type":"integer","description":"Gets the last row on page.","format":"int32","readOnly":true},"orderByField":{"type":"string","description":"Gets or sets the order by field.","nullable":true},"isOrderByAsc":{"type":"boolean","description":"Gets or sets a value indicating whether this instance is order by asc."}},"additionalProperties":false,"description":""},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/Invalid":{"get":{"tags":["Products"],"summary":"Returns a list of invalid products for display on the UI.","operationId":"api/v2/Products/Invalid_GET","parameters":[{"name":"BrandCode","in":"query","description":"Unique three-letter identifier for the retailer’s brand","schema":{"type":"string"}},{"name":"TenantCode","in":"query","description":"Tenant Code","schema":{"type":"string"}},{"name":"RequestType","in":"query","description":"SearchRequestType","schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.SearchRequestType"}},{"name":"SearchType","in":"query","description":"SearchType","schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType"}},{"name":"ContinuationToken","in":"query","description":"Gets or sets search continuatino token.","schema":{"type":"string"}},{"name":"PageNumber","in":"query","description":"The page number to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"The size of the page to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"OrderByField","in":"query","description":"The field to be used to order the results","schema":{"type":"string"}},{"name":"IsOrderByAsc","in":"query","description":"The field to be used to sort the results","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.InvalidProductResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Products/Invalid/File

> Get a catalog error file by brand

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Enums.SearchRequestType":{"enum":["ValidProducts","InvalidProducts","DefaultClassification","InvalidLogs"],"type":"string","description":"The type of searches that can be called from the UI"},"Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType":{"enum":["InvalidProducts","DefaultClassifiedProducts","IncompleteRatings","FailedFilesAndApiRequests","AwaitingClassification"],"type":"string","description":"ErrorSearchType"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/Invalid/File":{"get":{"tags":["Products"],"summary":"Get a catalog error file by brand","operationId":"api/v2/Products/Invalid/File_GET","parameters":[{"name":"BrandCode","in":"query","description":"Unique three-letter identifier for the retailer’s brand","schema":{"type":"string"}},{"name":"TenantCode","in":"query","description":"Tenant Code","schema":{"type":"string"}},{"name":"RequestType","in":"query","description":"SearchRequestType","schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.SearchRequestType"}},{"name":"SearchType","in":"query","description":"SearchType","schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Enums.ErrorSearchType"}},{"name":"ContinuationToken","in":"query","description":"Gets or sets search continuatino token.","schema":{"type":"string"}},{"name":"PageNumber","in":"query","description":"The page number to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"The size of the page to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"OrderByField","in":"query","description":"The field to be used to order the results","schema":{"type":"string"}},{"name":"IsOrderByAsc","in":"query","description":"The field to be used to sort the results","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Products/DefaultClassificationFile

> Get DefaultClassification Products Catalog File

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/DefaultClassificationFile":{"get":{"tags":["Products"],"summary":"Get DefaultClassification Products Catalog File","operationId":"api/v2/Products/DefaultClassificationFile_GET","parameters":[{"name":"BrandCode","in":"query","description":"Unique three-letter identifier for the retailer’s brand","schema":{"type":"string"}},{"name":"DefaultClassification","in":"query","description":"DefaultClassification","schema":{"type":"boolean"}},{"name":"TenantCode","in":"query","description":"Tenant Code","schema":{"type":"string"}},{"name":"PageNumber","in":"query","description":"The page number to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"The size of the page to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"OrderByField","in":"query","description":"The field to be used to order the results","schema":{"type":"string"}},{"name":"IsOrderByAsc","in":"query","description":"The field to be used to sort the results","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Products/ProductsUi

> Returns a list of products

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogUiDto"},"description":"List of results","nullable":true},"pagination":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.Pagination"}},"additionalProperties":false,"description":"ProductUiSearchResponse"},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogUiDto":{"type":"object","properties":{"id":{"type":"string","description":"Cosmos document id","nullable":true},"productCode":{"type":"string","description":"The brand's unique identifier SKU (Stock Keeping Unit)","nullable":true},"name":{"type":"string","description":"The Product’s Name","nullable":true},"description":{"type":"string","description":"The Product’s Description","nullable":true},"material":{"type":"string","description":"A description of the product that will be used for customs declaration purposes","nullable":true},"countryOfOrigin":{"type":"string","description":"The 2-letter County ISO where the product is manufactured.","nullable":true},"hsCode":{"type":"string","description":"The Brand’s HSCode of the product. This should be a minimum of 6 digits.","nullable":true},"hsCodeRegion":{"type":"string","description":"The eShopWorld Region relating to the HSCode","nullable":true},"parentProductCode":{"type":"string","description":"SKU for a group of products that come in different versions (variants)","nullable":true},"category":{"type":"string","description":"The eShopWorld Category ID to which the product should be mapped","nullable":true},"categoryDesc":{"type":"string","description":"Category Desc","nullable":true},"gender":{"type":"string","description":"The Gender value for which the product is intended","nullable":true},"size":{"type":"string","description":"The size of the product","nullable":true},"dangerousGoods":{"type":"boolean","description":"If the Product is classified a DangerousGood or Hazardous Material (HazMat)","nullable":true},"isCustomized":{"type":"boolean","description":"Gets or sets value indicating whether product is customized.","nullable":true},"defaultClassification":{"type":"boolean","description":"DefaultClassification"},"classificationId":{"type":"string","description":"ClassificationId","nullable":true},"classificationCode":{"type":"string","description":"ClassificationCode","nullable":true},"creationDate":{"type":"string","description":"Date when default classified product was created in DB.","format":"date-time"},"brandCode":{"type":"string","description":"Gets or sets the brand code.","nullable":true}},"additionalProperties":false,"description":"ProductCatalogUiDto"},"Customs.Catalog.Domain.Pkg.Models.Paging.Pagination":{"type":"object","properties":{"currentPage":{"type":"integer","description":"Gets or sets the current page.","format":"int32"},"pageCount":{"type":"integer","description":"Gets or sets the page count.","format":"int32"},"pageSize":{"type":"integer","description":"Gets or sets the size of the page.","format":"int32"},"rowCount":{"type":"integer","description":"Gets or sets the row count.","format":"int32"},"firstRowOnPage":{"type":"integer","description":"Gets the first row on page.","format":"int32","readOnly":true},"lastRowOnPage":{"type":"integer","description":"Gets the last row on page.","format":"int32","readOnly":true},"orderByField":{"type":"string","description":"Gets or sets the order by field.","nullable":true},"isOrderByAsc":{"type":"boolean","description":"Gets or sets a value indicating whether this instance is order by asc."}},"additionalProperties":false,"description":""},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/ProductsUi":{"get":{"tags":["Products"],"summary":"Returns a list of products","operationId":"api/v2/Products/ProductsUi_GET","parameters":[{"name":"BrandCode","in":"query","description":"Unique three-letter identifier for the retailer’s brand","schema":{"type":"string"}},{"name":"DefaultClassification","in":"query","description":"DefaultClassification","schema":{"type":"boolean"}},{"name":"TenantCode","in":"query","description":"Tenant Code","schema":{"type":"string"}},{"name":"PageNumber","in":"query","description":"The page number to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"The size of the page to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"OrderByField","in":"query","description":"The field to be used to order the results","schema":{"type":"string"}},{"name":"IsOrderByAsc","in":"query","description":"The field to be used to sort the results","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Products/DefaultClassifiedProducts

> Returns a list of products

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogUiDto"},"description":"List of results","nullable":true},"pagination":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.Pagination"}},"additionalProperties":false,"description":"ProductUiSearchResponse"},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogUiDto":{"type":"object","properties":{"id":{"type":"string","description":"Cosmos document id","nullable":true},"productCode":{"type":"string","description":"The brand's unique identifier SKU (Stock Keeping Unit)","nullable":true},"name":{"type":"string","description":"The Product’s Name","nullable":true},"description":{"type":"string","description":"The Product’s Description","nullable":true},"material":{"type":"string","description":"A description of the product that will be used for customs declaration purposes","nullable":true},"countryOfOrigin":{"type":"string","description":"The 2-letter County ISO where the product is manufactured.","nullable":true},"hsCode":{"type":"string","description":"The Brand’s HSCode of the product. This should be a minimum of 6 digits.","nullable":true},"hsCodeRegion":{"type":"string","description":"The eShopWorld Region relating to the HSCode","nullable":true},"parentProductCode":{"type":"string","description":"SKU for a group of products that come in different versions (variants)","nullable":true},"category":{"type":"string","description":"The eShopWorld Category ID to which the product should be mapped","nullable":true},"categoryDesc":{"type":"string","description":"Category Desc","nullable":true},"gender":{"type":"string","description":"The Gender value for which the product is intended","nullable":true},"size":{"type":"string","description":"The size of the product","nullable":true},"dangerousGoods":{"type":"boolean","description":"If the Product is classified a DangerousGood or Hazardous Material (HazMat)","nullable":true},"isCustomized":{"type":"boolean","description":"Gets or sets value indicating whether product is customized.","nullable":true},"defaultClassification":{"type":"boolean","description":"DefaultClassification"},"classificationId":{"type":"string","description":"ClassificationId","nullable":true},"classificationCode":{"type":"string","description":"ClassificationCode","nullable":true},"creationDate":{"type":"string","description":"Date when default classified product was created in DB.","format":"date-time"},"brandCode":{"type":"string","description":"Gets or sets the brand code.","nullable":true}},"additionalProperties":false,"description":"ProductCatalogUiDto"},"Customs.Catalog.Domain.Pkg.Models.Paging.Pagination":{"type":"object","properties":{"currentPage":{"type":"integer","description":"Gets or sets the current page.","format":"int32"},"pageCount":{"type":"integer","description":"Gets or sets the page count.","format":"int32"},"pageSize":{"type":"integer","description":"Gets or sets the size of the page.","format":"int32"},"rowCount":{"type":"integer","description":"Gets or sets the row count.","format":"int32"},"firstRowOnPage":{"type":"integer","description":"Gets the first row on page.","format":"int32","readOnly":true},"lastRowOnPage":{"type":"integer","description":"Gets the last row on page.","format":"int32","readOnly":true},"orderByField":{"type":"string","description":"Gets or sets the order by field.","nullable":true},"isOrderByAsc":{"type":"boolean","description":"Gets or sets a value indicating whether this instance is order by asc."}},"additionalProperties":false,"description":""},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/DefaultClassifiedProducts":{"get":{"tags":["Products"],"summary":"Returns a list of products","operationId":"api/v2/Products/DefaultClassifiedProducts_GET","parameters":[{"name":"BrandCode","in":"query","description":"Unique three-letter identifier for the retailer’s brand","schema":{"type":"string"}},{"name":"DefaultClassification","in":"query","description":"DefaultClassification","schema":{"type":"boolean"}},{"name":"TenantCode","in":"query","description":"Tenant Code","schema":{"type":"string"}},{"name":"PageNumber","in":"query","description":"The page number to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"The size of the page to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"OrderByField","in":"query","description":"The field to be used to order the results","schema":{"type":"string"}},{"name":"IsOrderByAsc","in":"query","description":"The field to be used to sort the results","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/Products/ImportDefaultClassification

> Import DefaultClassification File

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse":{"type":"object","properties":{"numberOfRowsProcessed":{"type":"integer","description":"Gets or sets the number of rows processed.","format":"int32"},"messages":{"type":"array","items":{"type":"string"},"description":"Messages","nullable":true},"errors":{"type":"array","items":{"type":"string"},"description":"Errors","nullable":true},"fileName":{"type":"string","description":"Gets or sets the name of the file.","nullable":true},"success":{"type":"boolean","description":"Gets or sets the Success of the file import processing."}},"additionalProperties":false,"description":"The model to respond the import requests with"}}},"paths":{"/api/v2/Products/ImportDefaultClassification":{"post":{"tags":["Products"],"summary":"Import DefaultClassification File","operationId":"api/v2/Products/ImportDefaultClassification_POST","parameters":[{"name":"BrandCode","in":"query","description":"Unique three-letter identifier for the retailer’s brand","schema":{"type":"string"}},{"name":"UserName","in":"query","description":"Gets or sets the login user name","schema":{"type":"string"}},{"name":"TenantCode","in":"query","description":"Tenant Code","schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"File":{"type":"file","description":"Gets or sets the Form File","format":"binary"}}},"encoding":{"File":{"style":"form"}}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.FileImportResponse"}}}}}}}}}
```

## PUT /api/v2/Products/DefaultClassification

> Update default classification for the selected products

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationRequest":{"type":"object","properties":{"brandCode":{"type":"string","description":"Unique three-letter identifier for the retailer’s brand","nullable":true},"productCatalogIdList":{"type":"array","items":{"type":"string"},"description":"Product SKU list that need to update DefaultClassification flag","nullable":true},"defaultClassification":{"type":"boolean","description":"DefaultClassification"},"userName":{"type":"string","description":"Holds login user name","nullable":true},"tenantCode":{"type":"string","description":"Tenant Code","nullable":true}},"additionalProperties":false,"description":"ProductClassificationRequest"},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogUiDto"},"description":"List of results","nullable":true},"pagination":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.Pagination"}},"additionalProperties":false,"description":"ProductUiSearchResponse"},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogUiDto":{"type":"object","properties":{"id":{"type":"string","description":"Cosmos document id","nullable":true},"productCode":{"type":"string","description":"The brand's unique identifier SKU (Stock Keeping Unit)","nullable":true},"name":{"type":"string","description":"The Product’s Name","nullable":true},"description":{"type":"string","description":"The Product’s Description","nullable":true},"material":{"type":"string","description":"A description of the product that will be used for customs declaration purposes","nullable":true},"countryOfOrigin":{"type":"string","description":"The 2-letter County ISO where the product is manufactured.","nullable":true},"hsCode":{"type":"string","description":"The Brand’s HSCode of the product. This should be a minimum of 6 digits.","nullable":true},"hsCodeRegion":{"type":"string","description":"The eShopWorld Region relating to the HSCode","nullable":true},"parentProductCode":{"type":"string","description":"SKU for a group of products that come in different versions (variants)","nullable":true},"category":{"type":"string","description":"The eShopWorld Category ID to which the product should be mapped","nullable":true},"categoryDesc":{"type":"string","description":"Category Desc","nullable":true},"gender":{"type":"string","description":"The Gender value for which the product is intended","nullable":true},"size":{"type":"string","description":"The size of the product","nullable":true},"dangerousGoods":{"type":"boolean","description":"If the Product is classified a DangerousGood or Hazardous Material (HazMat)","nullable":true},"isCustomized":{"type":"boolean","description":"Gets or sets value indicating whether product is customized.","nullable":true},"defaultClassification":{"type":"boolean","description":"DefaultClassification"},"classificationId":{"type":"string","description":"ClassificationId","nullable":true},"classificationCode":{"type":"string","description":"ClassificationCode","nullable":true},"creationDate":{"type":"string","description":"Date when default classified product was created in DB.","format":"date-time"},"brandCode":{"type":"string","description":"Gets or sets the brand code.","nullable":true}},"additionalProperties":false,"description":"ProductCatalogUiDto"},"Customs.Catalog.Domain.Pkg.Models.Paging.Pagination":{"type":"object","properties":{"currentPage":{"type":"integer","description":"Gets or sets the current page.","format":"int32"},"pageCount":{"type":"integer","description":"Gets or sets the page count.","format":"int32"},"pageSize":{"type":"integer","description":"Gets or sets the size of the page.","format":"int32"},"rowCount":{"type":"integer","description":"Gets or sets the row count.","format":"int32"},"firstRowOnPage":{"type":"integer","description":"Gets the first row on page.","format":"int32","readOnly":true},"lastRowOnPage":{"type":"integer","description":"Gets the last row on page.","format":"int32","readOnly":true},"orderByField":{"type":"string","description":"Gets or sets the order by field.","nullable":true},"isOrderByAsc":{"type":"boolean","description":"Gets or sets a value indicating whether this instance is order by asc."}},"additionalProperties":false,"description":""},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/DefaultClassification":{"put":{"tags":["Products"],"summary":"Update default classification for the selected products","operationId":"api/v2/Products/DefaultClassification_PUT","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductUiSearchResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## GET /api/v2/Products

> Returns a list of product information with classification, duties and tax for each product.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto":{"type":"object","properties":{"productCode":{"type":"string","description":"The brand's unique identifier SKU (Stock Keeping Unit)","nullable":true},"name":{"type":"string","description":"The Product’s Name","nullable":true},"description":{"type":"string","description":"The Product’s Description","nullable":true},"material":{"type":"string","description":"A description of the product that will be used for customs declaration purposes","nullable":true},"countryOfOrigin":{"type":"string","description":"Country ISO where the product is manufactured.","nullable":true},"hsCode":{"type":"string","description":"The Brand’s HSCode of the product. This should be a minimum of 6 digits.","nullable":true},"hsCodeRegion":{"type":"string","description":"The eShopWorld Region relating to the HSCode","nullable":true},"parentProductCode":{"type":"string","description":"SKU for a group of products that come in different versions (variants)","nullable":true},"category":{"type":"string","description":"The eShopWorld Category ID to which the product should be mapped","nullable":true},"categoryDesc":{"type":"string","description":"Category Desc","nullable":true},"gender":{"type":"string","description":"The Gender value for which the product is intended","nullable":true},"ageGroup":{"type":"string","description":"The Age Group value for which the product is intended\nThe demographic for which the product is intended","nullable":true},"size":{"type":"string","description":"The size of the product","nullable":true},"weight":{"type":"number","description":"The weight of the product in the associated WeightUnit","format":"double","nullable":true},"weightUnit":{"type":"string","description":"The WeightUnit value of the product for the associated weight","nullable":true},"url":{"type":"string","description":"The Product’s landing page","nullable":true},"imageUrl":{"type":"string","description":"The URL of your product’s main image thumbnail","nullable":true},"unitPrice":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Price"},"dangerousGoods":{"type":"boolean","description":"If the Product is classified a DangerousGood or Hazardous Material (HazMat)","nullable":true},"isCustomized":{"type":"boolean","description":"Gets or sets value indicating whether product is customized.","nullable":true},"additionalProductCode":{"type":"string","description":"(Optional) An additional product code, or unique identifier,\nsuch as the manufacturer’s product code or SKU (Stock Keeping Unit),\nthat may be on or attached to the product.","nullable":true},"variantProductCode":{"type":"string","description":"(Optional) Another version of the brand's unique master identifier or SKU (Stock Keeping Unit).","nullable":true},"avataxCode":{"type":"string","description":"The Avatax code","nullable":true},"restrictions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto"},"description":"Product restrictions.","nullable":true},"isRestricted":{"type":"boolean","description":"Gets or sets value indicating whether product is customized."},"mid":{"type":"string","description":"(Optional) Identifies the Manufacturer ID.","nullable":true},"midAddressZip":{"type":"string","description":"(Optional) Identifies the Manufacturer's ZipCode","nullable":true},"additionalInformation":{"type":"string","description":"(Optional) Any other additional information about the product.","nullable":true},"categoryInformation":{"type":"string","description":"(Optional) Any other additional information about the product category.","nullable":true},"isSubscription":{"type":"boolean","description":"(Optional) Identifies if the product is a Subscription based product.","nullable":true},"classificationCode":{"type":"string","description":"Classification code associated with the product.","nullable":true},"classifications":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto"},"description":"List of region classifications for the product.","nullable":true},"eccn":{"type":"string","description":"ECCN","nullable":true},"ean":{"type":"string","description":"(Optional) EAN","nullable":true},"upc":{"type":"string","description":"(Optional) UPC","nullable":true}},"additionalProperties":false,"description":"ProductCatalogDto"},"Customs.Catalog.Domain.Pkg.Models.DTO.Price":{"type":"object","properties":{"amount":{"type":"number","description":"Amount","format":"double","nullable":true},"currency":{"type":"string","description":"Currency","nullable":true}},"additionalProperties":false,"description":"Price"},"Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto":{"type":"object","properties":{"type":{"type":"string","description":"Type of restriction.","nullable":true},"criteria":{"type":"string","description":"Criteria.","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"List of countries or \"ALL\" marker restriction to be applied. For example: [\"ALL\"], [\"AU\", \"CH\"]","nullable":true}},"additionalProperties":false,"description":"(Optional) Identifies when a product should be Restricted from Sale in Certain Countries."},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto":{"type":"object","properties":{"regionCode":{"type":"string","description":"Region HS code for the classification.","nullable":true},"region":{"type":"string","description":"Region ISO for the classification.","nullable":true},"duty":{"type":"number","description":"Duty Rate for the classification","format":"double"},"dutyRateType":{"type":"string","description":"Duty Rate Type","nullable":true},"additionalDuty":{"type":"boolean","description":"Additional duty"},"vat":{"type":"number","description":"Vat rate for the classification","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"Countries mapped to the region","nullable":true},"countryVat":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat"},"description":"Gets or sets country-vat pairs","nullable":true}},"additionalProperties":false,"description":"ProductClassificationDto for exposing Classifications for Products"},"Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat":{"type":"object","properties":{"country":{"type":"string","description":"The Country ISO code","nullable":true},"vat":{"type":"number","description":"The Vat value","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"subRegions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat"},"description":"Collection of SubRegionVat object","nullable":true}},"additionalProperties":false,"description":"Represents Country-Vat pair"},"Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat":{"type":"object","properties":{"code":{"type":"string","description":"Country ISO code","nullable":true},"vat":{"type":"number","description":"Vat percentage rate","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true}},"additionalProperties":false,"description":"SubRegionVat"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products":{"get":{"tags":["Products"],"summary":"Returns a list of product information with classification, duties and tax for each product.","operationId":"api/v2/Products_GET","parameters":[{"name":"BrandCode","in":"query","description":"Unique three-letter identifier for the retailer’s brand (Required)","schema":{"type":"string"}},{"name":"ProductCode","in":"query","description":"The brand's unique identifier SKU (Stock Keeping Unit) (Required)","style":"form","schema":{"type":"array","items":{"type":"string"}}},{"name":"DeliveryCountry","in":"query","description":"Delivery Countries (Optional)","style":"form","schema":{"type":"array","items":{"type":"string"}}},{"name":"CountryOfOrigin","in":"query","description":"Country Of Origin (Optional)","schema":{"type":"string"}},{"name":"TenantCode","in":"query","description":"Tenant Code","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"429":{"description":"Too Many Requests"}}}}}}
```

## POST /api/v2/Products

> Creates new products and returns the product information including classification, duties and tax.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.CreateProductRequest":{"required":["countryOfOrigin","description","material","name","productCode"],"type":"object","properties":{"productCode":{"minLength":1,"type":"string","description":"(Required) The brand's unique master identifier or SKU (Stock Keeping Unit)."},"name":{"minLength":1,"type":"string","description":"(Required) The name of the product."},"description":{"minLength":1,"type":"string","description":"(Required) The short description of the product."},"material":{"minLength":1,"type":"string","description":"(Required) A description of the material that the product is made of."},"countryOfOrigin":{"$ref":"#/components/schemas/Customs.Catalog.Common.Pkg.Product.CountryIso"},"hsCode":{"type":"string","description":"The brand’s HSCode of the product.This should be a minimum of 6 digits.","nullable":true},"hsCodeRegion":{"$ref":"#/components/schemas/Customs.Catalog.Common.Pkg.Product.Region"},"parentProductCode":{"type":"string","description":"SKU for a group of products that come in different versions (variants).","nullable":true},"category":{"$ref":"#/components/schemas/Customs.Catalog.Common.Pkg.Product.Category"},"categoryDesc":{"type":"string","description":"eShopWorld category description for the product.","nullable":true,"readOnly":true},"gender":{"$ref":"#/components/schemas/Customs.Catalog.Common.Pkg.Product.Gender"},"ageGroup":{"$ref":"#/components/schemas/Customs.Catalog.Common.Pkg.Product.AgeGroup"},"size":{"type":"string","description":"(Optional) The size of the product.","nullable":true},"weight":{"type":"number","description":"(Optional*) The weight of the product in the associated WeightUnit.\n*This field is mandatory if you specify a weight unit.","format":"double","nullable":true},"weightUnit":{"$ref":"#/components/schemas/Customs.Catalog.Common.Pkg.Product.WeightUnit"},"url":{"type":"string","description":"(Optional*) The product’s landing page.\n*This field is mandatory when Shipping to Russia and Japan.","nullable":true},"imageUrl":{"type":"string","description":"(Optional) The URL of the product’s main image thumbnail.","nullable":true},"unitPrice":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.RetailerPrice"},"dangerousGoods":{"type":"boolean","description":"(Optional) Indicates if the product is classified a DangerousGood or Hazardous Material (HazMat).","nullable":true},"isCustomized":{"type":"boolean","description":"(Optional) Indicates if the product has been customized in any way from its Original Design.","nullable":true},"additionalProductCode":{"type":"string","description":"(Optional) An additional product code, or unique identifier,\nsuch as the manufacturer’s product code or SKU (Stock Keeping Unit),\nthat may be on or attached to the product.","nullable":true},"variantProductCode":{"type":"string","description":"(Optional) Another version of the brand's unique master identifier or SKU (Stock Keeping Unit).","nullable":true},"restrictions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto"},"description":"(Optional) Identifies when a product should be Restricted from Sale in Certain Countries.","nullable":true},"isRestricted":{"type":"boolean","description":"(Optional) Identifies restriction on a product regardless of what country it's being sold to or any other product attributes.","nullable":true},"mid":{"type":"string","description":"(Optional) Identifies the Manufacturer ID.","nullable":true},"midAddressZip":{"type":"string","description":"(Optional) Identifies the Manufacturer's ZipCode","nullable":true},"additionalInformation":{"type":"string","description":"(Optional) Any other additional information about the product.","nullable":true},"categoryInformation":{"type":"string","description":"(Optional) Any other additional information about the product category.","nullable":true},"isSubscription":{"type":"boolean","description":"(Optional) Identifies if the product is a Subscription based product.","nullable":true},"eccn":{"type":"string","description":"ECCN","nullable":true},"ean":{"pattern":"^\\d{8}$|^\\d{13}$","type":"string","description":"(Optional) EAN","nullable":true},"upc":{"pattern":"^\\d{8}$|^\\d{12}$","type":"string","description":"(Optional) UPC","nullable":true},"deliveryCountry":{"type":"string","description":"The 2-letter ISO code of the country where the product is to be delivered.","nullable":true},"brandCode":{"type":"string","description":"Unique three-letter identifier for the retailer’s brand","nullable":true}},"additionalProperties":false,"description":"Create Product Request Object"},"Customs.Catalog.Common.Pkg.Product.CountryIso":{"enum":["AD","AE","AF","AG","AI","AL","AM","AN","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CS","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","XK","YE","YT","ZA","ZM","ZW","TP"],"type":"string"},"Customs.Catalog.Common.Pkg.Product.Region":{"enum":["AD","AE","AL","AM","AU","AZ","BA","BY","BH","CA","CH","CL","CN","CO","EG","EU","GE","GI","HK","ID","IS","IL","IN","JP","KR","KW","KZ","LI","MA","MD","ME","MK","MX","MY","NO","NZ","PH","PR","QA","RS","RU","SA","SG","SM","TH","TL","TR","TW","UA","US","VN","XROW","ZA","XK","BR","MM","MO","PY","SK","AR","PE","DO","JO","KG","OM","BO","AF","AG","AI","AN","AO","AS","AW","BB","BD","BM","BZ","CR","CS","DZ","EC","ET","IO","IQ","FJ","JM","KE","KH","LA","LK","LR","LS","LY","MF","ML","MN","MQ","MR","MS","MV","MW","MZ","NA","NF","NG","NI","NP","NR","NU","PA","PK","PS","RW","SN","SO","SR","SS","SV","SX","TG","TT","TZ","UG","UY","UZ","VE","VU","WF","WS","YE","ZM","ZW","GB","TP","GW","JE","GT","KY","BN","TC","GP","GF","DM","GD","RE","LC","HN","KN","BF","BJ","BS","BW","CF","CG","CK","CM","CW","DJ","GA","GG","GH","GL","HT","LB","MU","NC","PG","SC","VC","VG","YT","CV","KM","SZ","VI","GY","BG","BI","CI","CU","EE","GM","HR","HU","LT","LV","MG","MT","NE","PL","SB","SI","SL","TD","TJ","TN","TO","CD","GN","VA","FK","MC","ST","AQ","AX","BL","BQ","BT","BV","CC","CX","EH","ER","FM","FO","GQ","GS","GU","HM","IM","IR","KI","KP","MH","MP","PF","PM","PN","PW","SH","SJ","SY","TF","TK","TM","TV","UM","IC"],"type":"string"},"Customs.Catalog.Common.Pkg.Product.Category":{"enum":["AnimalsPetSupplies","ApparelAccessories","ArtsEntertainment","BabyToddler","BusinessIndustrial","CamerasOptics","Electronics","FoodBeveragesTobacco","Furniture","Hardware","HealthBeauty","HomeGarden","LuggageBags","Mature","Media","OfficeSupplies","ReligiousCeremonial","Software","SportingGoods","ToysGames","VehiclesParts","PerfumeryCosmeticToiletPreparations","SoapPolishCandlesEtc","AlbuminoidalSubstances","ExplosivesEtc","PhotographicCinematographicGoods","MiscellaneousChemicalProducts","Plastics","Rubber","RawHidesAndSkins","ArticlesOfLeather","FurskinsAndArtificialFur","Wood","Cork","ManufacturesOfStrawBasketwareAndWickerwork","PulpOfWoodScrapPaperPaperboard","PaperAndPaperboard","PrintedBooksNewspapers","Silk","WoolAndAnimalHair","Cotton","OtherVegetableTextileFibres","ManMadeFilaments","ManMadeStapleFibres","WaddingSpecialYarnsTwine","CarpetsAndFloorCoverings","SpecialWovenFabrics","IndustrialTextileFabricsAndTextileArticles","KnittedCrochetedFabrics","ApparelClothingKnitted","ApparelClothingNotKnitted","OtherMadeupWornTextileArticles","Footwear","Headgear","UmbrellasAndWalkingSticks","FeathersAndDownArticlesAndArtificialFlowers","ArticlesOfStone","CeramicProducts","GlassAndGlassware","PreciousStonesMetalsAndJewelry","IronAndSteel","ArticlesOfIronSteel","CopperAndArticlesThereof","NickelAndArticlesThereof","AluminumAndArticlesThereof","LeadAndArticlesThereof","ZincAndArticlesThereof","TinAndArticlesThereof","OtherBaseMetalsAndArticlesThereof","ToolsImplementsCutlery","MiscellaneousArticlesOfBaseMetal","NuclearReactorsBoilersMachinery","ElectricalMachinerySoundAndTv","RailwayTramwayLocomotivesRollingStock","VehiclesOtherThanRailwayTramwayRollingStock","AircraftSpacecraft","ShipsBoatsAndFloatingStructures","OpticalPhotographicCinematographicMeasuringMedicalInstruments","ClocksAndWatches","MusicalInstruments","ArmsAndAmmunition","FurnitureAndFurnishings","ToysGamesAndSports","MiscellaneousManufacturedArticles","WorksOfArtAndAntiques","CompleteIndustrialPlant","SpecialCombinedNomenclatureCodes","Digital","ReturnsLabels","DigitalGiftCard"],"type":"string"},"Customs.Catalog.Common.Pkg.Product.Gender":{"enum":["Male","Female","Unisex"],"type":"string"},"Customs.Catalog.Common.Pkg.Product.AgeGroup":{"enum":["Newborn","Infant","Toddler","Kids","Adult","OlderKids","Teen"],"type":"string"},"Customs.Catalog.Common.Pkg.Product.WeightUnit":{"enum":["Lb","Kg"],"type":"string"},"Customs.Catalog.Domain.Pkg.Models.DTO.RetailerPrice":{"type":"object","properties":{"amount":{"type":"number","description":"Amount","format":"double","nullable":true},"currency":{"$ref":"#/components/schemas/Customs.Catalog.Common.Pkg.Product.CurrencyIso"}},"additionalProperties":false,"description":"(Optional *) Price of the product.\n*This field is mandatory if you specify a unitPriceCurrencyIso."},"Customs.Catalog.Common.Pkg.Product.CurrencyIso":{"enum":["ARS","AUD","AZN","BHD","BDT","BBD","BYR","BYN","BZD","BMD","BOB","BRL","BGN","KHR","CAD","CLP","CNY","COP","CRC","HRK","CZK","DKK","DOP","EGP","EUR","GIP","GTQ","HNL","HKD","HUF","INR","IDR","ILS","JMD","JPY","JOD","KZT","KWD","LVL","LTL","MYR","MVR","MXN","MDL","TWD","NZD","NIO","NOK","OMR","PKR","PAB","PYG","PEN","PHP","PLN","GBP","QAR","ROL","RON","RUB","SAR","SGD","ZAR","KRW","LKR","SEK","CHF","THB","TRY","UAH","AED","USD","VEF","VND","RSD","DZD","MOP","NGN","KES","MKD","BAM","ISK","AMD","ALL","GEL"],"type":"string"},"Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto":{"type":"object","properties":{"type":{"type":"string","description":"Type of restriction.","nullable":true},"criteria":{"type":"string","description":"Criteria.","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"List of countries or \"ALL\" marker restriction to be applied. For example: [\"ALL\"], [\"AU\", \"CH\"]","nullable":true}},"additionalProperties":false,"description":"(Optional) Identifies when a product should be Restricted from Sale in Certain Countries."},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto":{"type":"object","properties":{"productCode":{"type":"string","description":"The brand's unique identifier SKU (Stock Keeping Unit)","nullable":true},"name":{"type":"string","description":"The Product’s Name","nullable":true},"description":{"type":"string","description":"The Product’s Description","nullable":true},"material":{"type":"string","description":"A description of the product that will be used for customs declaration purposes","nullable":true},"countryOfOrigin":{"type":"string","description":"Country ISO where the product is manufactured.","nullable":true},"hsCode":{"type":"string","description":"The Brand’s HSCode of the product. This should be a minimum of 6 digits.","nullable":true},"hsCodeRegion":{"type":"string","description":"The eShopWorld Region relating to the HSCode","nullable":true},"parentProductCode":{"type":"string","description":"SKU for a group of products that come in different versions (variants)","nullable":true},"category":{"type":"string","description":"The eShopWorld Category ID to which the product should be mapped","nullable":true},"categoryDesc":{"type":"string","description":"Category Desc","nullable":true},"gender":{"type":"string","description":"The Gender value for which the product is intended","nullable":true},"ageGroup":{"type":"string","description":"The Age Group value for which the product is intended\nThe demographic for which the product is intended","nullable":true},"size":{"type":"string","description":"The size of the product","nullable":true},"weight":{"type":"number","description":"The weight of the product in the associated WeightUnit","format":"double","nullable":true},"weightUnit":{"type":"string","description":"The WeightUnit value of the product for the associated weight","nullable":true},"url":{"type":"string","description":"The Product’s landing page","nullable":true},"imageUrl":{"type":"string","description":"The URL of your product’s main image thumbnail","nullable":true},"unitPrice":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Price"},"dangerousGoods":{"type":"boolean","description":"If the Product is classified a DangerousGood or Hazardous Material (HazMat)","nullable":true},"isCustomized":{"type":"boolean","description":"Gets or sets value indicating whether product is customized.","nullable":true},"additionalProductCode":{"type":"string","description":"(Optional) An additional product code, or unique identifier,\nsuch as the manufacturer’s product code or SKU (Stock Keeping Unit),\nthat may be on or attached to the product.","nullable":true},"variantProductCode":{"type":"string","description":"(Optional) Another version of the brand's unique master identifier or SKU (Stock Keeping Unit).","nullable":true},"avataxCode":{"type":"string","description":"The Avatax code","nullable":true},"restrictions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto"},"description":"Product restrictions.","nullable":true},"isRestricted":{"type":"boolean","description":"Gets or sets value indicating whether product is customized."},"mid":{"type":"string","description":"(Optional) Identifies the Manufacturer ID.","nullable":true},"midAddressZip":{"type":"string","description":"(Optional) Identifies the Manufacturer's ZipCode","nullable":true},"additionalInformation":{"type":"string","description":"(Optional) Any other additional information about the product.","nullable":true},"categoryInformation":{"type":"string","description":"(Optional) Any other additional information about the product category.","nullable":true},"isSubscription":{"type":"boolean","description":"(Optional) Identifies if the product is a Subscription based product.","nullable":true},"classificationCode":{"type":"string","description":"Classification code associated with the product.","nullable":true},"classifications":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto"},"description":"List of region classifications for the product.","nullable":true},"eccn":{"type":"string","description":"ECCN","nullable":true},"ean":{"type":"string","description":"(Optional) EAN","nullable":true},"upc":{"type":"string","description":"(Optional) UPC","nullable":true}},"additionalProperties":false,"description":"ProductCatalogDto"},"Customs.Catalog.Domain.Pkg.Models.DTO.Price":{"type":"object","properties":{"amount":{"type":"number","description":"Amount","format":"double","nullable":true},"currency":{"type":"string","description":"Currency","nullable":true}},"additionalProperties":false,"description":"Price"},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto":{"type":"object","properties":{"regionCode":{"type":"string","description":"Region HS code for the classification.","nullable":true},"region":{"type":"string","description":"Region ISO for the classification.","nullable":true},"duty":{"type":"number","description":"Duty Rate for the classification","format":"double"},"dutyRateType":{"type":"string","description":"Duty Rate Type","nullable":true},"additionalDuty":{"type":"boolean","description":"Additional duty"},"vat":{"type":"number","description":"Vat rate for the classification","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"Countries mapped to the region","nullable":true},"countryVat":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat"},"description":"Gets or sets country-vat pairs","nullable":true}},"additionalProperties":false,"description":"ProductClassificationDto for exposing Classifications for Products"},"Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat":{"type":"object","properties":{"country":{"type":"string","description":"The Country ISO code","nullable":true},"vat":{"type":"number","description":"The Vat value","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"subRegions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat"},"description":"Collection of SubRegionVat object","nullable":true}},"additionalProperties":false,"description":"Represents Country-Vat pair"},"Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat":{"type":"object","properties":{"code":{"type":"string","description":"Country ISO code","nullable":true},"vat":{"type":"number","description":"Vat percentage rate","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true}},"additionalProperties":false,"description":"SubRegionVat"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products":{"post":{"tags":["Products"],"summary":"Creates new products and returns the product information including classification, duties and tax.","operationId":"api/v2/Products_POST","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.CreateProductRequest"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.CreateProductRequest"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.CreateProductRequest"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.CreateProductRequest"}}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}}
```

## GET /api/v2/Products/ByTenantCode

> Returns a list of product information with classification, duties and tax for each product.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto":{"type":"object","properties":{"productCode":{"type":"string","description":"The brand's unique identifier SKU (Stock Keeping Unit)","nullable":true},"name":{"type":"string","description":"The Product’s Name","nullable":true},"description":{"type":"string","description":"The Product’s Description","nullable":true},"material":{"type":"string","description":"A description of the product that will be used for customs declaration purposes","nullable":true},"countryOfOrigin":{"type":"string","description":"Country ISO where the product is manufactured.","nullable":true},"hsCode":{"type":"string","description":"The Brand’s HSCode of the product. This should be a minimum of 6 digits.","nullable":true},"hsCodeRegion":{"type":"string","description":"The eShopWorld Region relating to the HSCode","nullable":true},"parentProductCode":{"type":"string","description":"SKU for a group of products that come in different versions (variants)","nullable":true},"category":{"type":"string","description":"The eShopWorld Category ID to which the product should be mapped","nullable":true},"categoryDesc":{"type":"string","description":"Category Desc","nullable":true},"gender":{"type":"string","description":"The Gender value for which the product is intended","nullable":true},"ageGroup":{"type":"string","description":"The Age Group value for which the product is intended\nThe demographic for which the product is intended","nullable":true},"size":{"type":"string","description":"The size of the product","nullable":true},"weight":{"type":"number","description":"The weight of the product in the associated WeightUnit","format":"double","nullable":true},"weightUnit":{"type":"string","description":"The WeightUnit value of the product for the associated weight","nullable":true},"url":{"type":"string","description":"The Product’s landing page","nullable":true},"imageUrl":{"type":"string","description":"The URL of your product’s main image thumbnail","nullable":true},"unitPrice":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Price"},"dangerousGoods":{"type":"boolean","description":"If the Product is classified a DangerousGood or Hazardous Material (HazMat)","nullable":true},"isCustomized":{"type":"boolean","description":"Gets or sets value indicating whether product is customized.","nullable":true},"additionalProductCode":{"type":"string","description":"(Optional) An additional product code, or unique identifier,\nsuch as the manufacturer’s product code or SKU (Stock Keeping Unit),\nthat may be on or attached to the product.","nullable":true},"variantProductCode":{"type":"string","description":"(Optional) Another version of the brand's unique master identifier or SKU (Stock Keeping Unit).","nullable":true},"avataxCode":{"type":"string","description":"The Avatax code","nullable":true},"restrictions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto"},"description":"Product restrictions.","nullable":true},"isRestricted":{"type":"boolean","description":"Gets or sets value indicating whether product is customized."},"mid":{"type":"string","description":"(Optional) Identifies the Manufacturer ID.","nullable":true},"midAddressZip":{"type":"string","description":"(Optional) Identifies the Manufacturer's ZipCode","nullable":true},"additionalInformation":{"type":"string","description":"(Optional) Any other additional information about the product.","nullable":true},"categoryInformation":{"type":"string","description":"(Optional) Any other additional information about the product category.","nullable":true},"isSubscription":{"type":"boolean","description":"(Optional) Identifies if the product is a Subscription based product.","nullable":true},"classificationCode":{"type":"string","description":"Classification code associated with the product.","nullable":true},"classifications":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto"},"description":"List of region classifications for the product.","nullable":true},"eccn":{"type":"string","description":"ECCN","nullable":true},"ean":{"type":"string","description":"(Optional) EAN","nullable":true},"upc":{"type":"string","description":"(Optional) UPC","nullable":true}},"additionalProperties":false,"description":"ProductCatalogDto"},"Customs.Catalog.Domain.Pkg.Models.DTO.Price":{"type":"object","properties":{"amount":{"type":"number","description":"Amount","format":"double","nullable":true},"currency":{"type":"string","description":"Currency","nullable":true}},"additionalProperties":false,"description":"Price"},"Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto":{"type":"object","properties":{"type":{"type":"string","description":"Type of restriction.","nullable":true},"criteria":{"type":"string","description":"Criteria.","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"List of countries or \"ALL\" marker restriction to be applied. For example: [\"ALL\"], [\"AU\", \"CH\"]","nullable":true}},"additionalProperties":false,"description":"(Optional) Identifies when a product should be Restricted from Sale in Certain Countries."},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto":{"type":"object","properties":{"regionCode":{"type":"string","description":"Region HS code for the classification.","nullable":true},"region":{"type":"string","description":"Region ISO for the classification.","nullable":true},"duty":{"type":"number","description":"Duty Rate for the classification","format":"double"},"dutyRateType":{"type":"string","description":"Duty Rate Type","nullable":true},"additionalDuty":{"type":"boolean","description":"Additional duty"},"vat":{"type":"number","description":"Vat rate for the classification","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"Countries mapped to the region","nullable":true},"countryVat":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat"},"description":"Gets or sets country-vat pairs","nullable":true}},"additionalProperties":false,"description":"ProductClassificationDto for exposing Classifications for Products"},"Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat":{"type":"object","properties":{"country":{"type":"string","description":"The Country ISO code","nullable":true},"vat":{"type":"number","description":"The Vat value","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"subRegions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat"},"description":"Collection of SubRegionVat object","nullable":true}},"additionalProperties":false,"description":"Represents Country-Vat pair"},"Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat":{"type":"object","properties":{"code":{"type":"string","description":"Country ISO code","nullable":true},"vat":{"type":"number","description":"Vat percentage rate","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true}},"additionalProperties":false,"description":"SubRegionVat"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/ByTenantCode":{"get":{"tags":["Products"],"summary":"Returns a list of product information with classification, duties and tax for each product.","operationId":"api/v2/Products/ByTenantCode_GET","parameters":[{"name":"ProductCode","in":"query","description":"The brand's unique identifier SKU (Stock Keeping Unit) (Required)","style":"form","schema":{"type":"array","items":{"type":"string"}}},{"name":"TenantCode","in":"query","description":"Brand's Tenant Code (Optional)","schema":{"type":"string"}},{"name":"DeliveryCountry","in":"query","description":"Delivery Countries (Optional)","style":"form","schema":{"type":"array","items":{"type":"string"}}},{"name":"CountryOfOrigin","in":"query","description":"Country Of Origin (Optional)","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"429":{"description":"Too Many Requests"}}}}}}
```

## GET /api/v2/Products/GetProductNoClassification

> Returns a list of product information without classification, duties and tax for each product.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto":{"type":"object","properties":{"productCode":{"type":"string","description":"The brand's unique identifier SKU (Stock Keeping Unit)","nullable":true},"name":{"type":"string","description":"The Product’s Name","nullable":true},"description":{"type":"string","description":"The Product’s Description","nullable":true},"material":{"type":"string","description":"A description of the product that will be used for customs declaration purposes","nullable":true},"countryOfOrigin":{"type":"string","description":"Country ISO where the product is manufactured.","nullable":true},"hsCode":{"type":"string","description":"The Brand’s HSCode of the product. This should be a minimum of 6 digits.","nullable":true},"hsCodeRegion":{"type":"string","description":"The eShopWorld Region relating to the HSCode","nullable":true},"parentProductCode":{"type":"string","description":"SKU for a group of products that come in different versions (variants)","nullable":true},"category":{"type":"string","description":"The eShopWorld Category ID to which the product should be mapped","nullable":true},"categoryDesc":{"type":"string","description":"Category Desc","nullable":true},"gender":{"type":"string","description":"The Gender value for which the product is intended","nullable":true},"ageGroup":{"type":"string","description":"The Age Group value for which the product is intended\nThe demographic for which the product is intended","nullable":true},"size":{"type":"string","description":"The size of the product","nullable":true},"weight":{"type":"number","description":"The weight of the product in the associated WeightUnit","format":"double","nullable":true},"weightUnit":{"type":"string","description":"The WeightUnit value of the product for the associated weight","nullable":true},"url":{"type":"string","description":"The Product’s landing page","nullable":true},"imageUrl":{"type":"string","description":"The URL of your product’s main image thumbnail","nullable":true},"unitPrice":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Price"},"dangerousGoods":{"type":"boolean","description":"If the Product is classified a DangerousGood or Hazardous Material (HazMat)","nullable":true},"isCustomized":{"type":"boolean","description":"Gets or sets value indicating whether product is customized.","nullable":true},"additionalProductCode":{"type":"string","description":"(Optional) An additional product code, or unique identifier,\nsuch as the manufacturer’s product code or SKU (Stock Keeping Unit),\nthat may be on or attached to the product.","nullable":true},"variantProductCode":{"type":"string","description":"(Optional) Another version of the brand's unique master identifier or SKU (Stock Keeping Unit).","nullable":true},"avataxCode":{"type":"string","description":"The Avatax code","nullable":true},"restrictions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto"},"description":"Product restrictions.","nullable":true},"isRestricted":{"type":"boolean","description":"Gets or sets value indicating whether product is customized."},"mid":{"type":"string","description":"(Optional) Identifies the Manufacturer ID.","nullable":true},"midAddressZip":{"type":"string","description":"(Optional) Identifies the Manufacturer's ZipCode","nullable":true},"additionalInformation":{"type":"string","description":"(Optional) Any other additional information about the product.","nullable":true},"categoryInformation":{"type":"string","description":"(Optional) Any other additional information about the product category.","nullable":true},"isSubscription":{"type":"boolean","description":"(Optional) Identifies if the product is a Subscription based product.","nullable":true},"classificationCode":{"type":"string","description":"Classification code associated with the product.","nullable":true},"classifications":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto"},"description":"List of region classifications for the product.","nullable":true},"eccn":{"type":"string","description":"ECCN","nullable":true},"ean":{"type":"string","description":"(Optional) EAN","nullable":true},"upc":{"type":"string","description":"(Optional) UPC","nullable":true}},"additionalProperties":false,"description":"ProductCatalogDto"},"Customs.Catalog.Domain.Pkg.Models.DTO.Price":{"type":"object","properties":{"amount":{"type":"number","description":"Amount","format":"double","nullable":true},"currency":{"type":"string","description":"Currency","nullable":true}},"additionalProperties":false,"description":"Price"},"Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto":{"type":"object","properties":{"type":{"type":"string","description":"Type of restriction.","nullable":true},"criteria":{"type":"string","description":"Criteria.","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"List of countries or \"ALL\" marker restriction to be applied. For example: [\"ALL\"], [\"AU\", \"CH\"]","nullable":true}},"additionalProperties":false,"description":"(Optional) Identifies when a product should be Restricted from Sale in Certain Countries."},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto":{"type":"object","properties":{"regionCode":{"type":"string","description":"Region HS code for the classification.","nullable":true},"region":{"type":"string","description":"Region ISO for the classification.","nullable":true},"duty":{"type":"number","description":"Duty Rate for the classification","format":"double"},"dutyRateType":{"type":"string","description":"Duty Rate Type","nullable":true},"additionalDuty":{"type":"boolean","description":"Additional duty"},"vat":{"type":"number","description":"Vat rate for the classification","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"Countries mapped to the region","nullable":true},"countryVat":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat"},"description":"Gets or sets country-vat pairs","nullable":true}},"additionalProperties":false,"description":"ProductClassificationDto for exposing Classifications for Products"},"Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat":{"type":"object","properties":{"country":{"type":"string","description":"The Country ISO code","nullable":true},"vat":{"type":"number","description":"The Vat value","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"subRegions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat"},"description":"Collection of SubRegionVat object","nullable":true}},"additionalProperties":false,"description":"Represents Country-Vat pair"},"Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat":{"type":"object","properties":{"code":{"type":"string","description":"Country ISO code","nullable":true},"vat":{"type":"number","description":"Vat percentage rate","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true}},"additionalProperties":false,"description":"SubRegionVat"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/GetProductNoClassification":{"get":{"tags":["Products"],"summary":"Returns a list of product information without classification, duties and tax for each product.","operationId":"api/v2/Products/GetProductNoClassification_GET","parameters":[{"name":"ProductCode","in":"query","description":"The brand's unique identifier SKU (Stock Keeping Unit) (Required)","style":"form","schema":{"type":"array","items":{"type":"string"}}},{"name":"TenantCode","in":"query","description":"Brand's Tenant Code (Optional)","schema":{"type":"string"}},{"name":"DeliveryCountry","in":"query","description":"Delivery Countries (Optional)","style":"form","schema":{"type":"array","items":{"type":"string"}}},{"name":"CountryOfOrigin","in":"query","description":"Country Of Origin (Optional)","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"429":{"description":"Too Many Requests"}}}}}}
```

## POST /api/v2/Products/Variants

> Returns a list of product codes mapped by variant product codes

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ProductVariantSearchRequest":{"type":"object","properties":{"brandCode":{"type":"string","description":"Unique three-letter identifier for the retailer’s brand","nullable":true},"variantProductCodes":{"type":"array","items":{"type":"string"},"description":"The brand's variant product code","nullable":true},"tenantCode":{"type":"string","description":"Tenant Code","nullable":true}},"additionalProperties":false,"description":"ProductSearchRequest"},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductVariantMap":{"type":"object","properties":{"variantProductCode":{"type":"string","description":"The brand's variant product code","nullable":true},"productCode":{"type":"string","description":"The brand's unique identifier SKU (Stock Keeping Unit)","nullable":true}},"additionalProperties":false,"description":"ProductVariantMap"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/Variants":{"post":{"tags":["Products"],"summary":"Returns a list of product codes mapped by variant product codes","operationId":"api/v2/Products/Variants_POST","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductVariantSearchRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductVariantSearchRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductVariantSearchRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductVariantSearchRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductVariantMap"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductVariantMap"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductVariantMap"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}}
```

## GET /api/v2/Products/ProductsByBrand

> Check if the supplied brandCode exists in database and retrieve products

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto":{"type":"object","properties":{"productCode":{"type":"string","description":"The brand's unique identifier SKU (Stock Keeping Unit)","nullable":true},"name":{"type":"string","description":"The Product’s Name","nullable":true},"description":{"type":"string","description":"The Product’s Description","nullable":true},"material":{"type":"string","description":"A description of the product that will be used for customs declaration purposes","nullable":true},"countryOfOrigin":{"type":"string","description":"Country ISO where the product is manufactured.","nullable":true},"hsCode":{"type":"string","description":"The Brand’s HSCode of the product. This should be a minimum of 6 digits.","nullable":true},"hsCodeRegion":{"type":"string","description":"The eShopWorld Region relating to the HSCode","nullable":true},"parentProductCode":{"type":"string","description":"SKU for a group of products that come in different versions (variants)","nullable":true},"category":{"type":"string","description":"The eShopWorld Category ID to which the product should be mapped","nullable":true},"categoryDesc":{"type":"string","description":"Category Desc","nullable":true},"gender":{"type":"string","description":"The Gender value for which the product is intended","nullable":true},"ageGroup":{"type":"string","description":"The Age Group value for which the product is intended\nThe demographic for which the product is intended","nullable":true},"size":{"type":"string","description":"The size of the product","nullable":true},"weight":{"type":"number","description":"The weight of the product in the associated WeightUnit","format":"double","nullable":true},"weightUnit":{"type":"string","description":"The WeightUnit value of the product for the associated weight","nullable":true},"url":{"type":"string","description":"The Product’s landing page","nullable":true},"imageUrl":{"type":"string","description":"The URL of your product’s main image thumbnail","nullable":true},"unitPrice":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Price"},"dangerousGoods":{"type":"boolean","description":"If the Product is classified a DangerousGood or Hazardous Material (HazMat)","nullable":true},"isCustomized":{"type":"boolean","description":"Gets or sets value indicating whether product is customized.","nullable":true},"additionalProductCode":{"type":"string","description":"(Optional) An additional product code, or unique identifier,\nsuch as the manufacturer’s product code or SKU (Stock Keeping Unit),\nthat may be on or attached to the product.","nullable":true},"variantProductCode":{"type":"string","description":"(Optional) Another version of the brand's unique master identifier or SKU (Stock Keeping Unit).","nullable":true},"avataxCode":{"type":"string","description":"The Avatax code","nullable":true},"restrictions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto"},"description":"Product restrictions.","nullable":true},"isRestricted":{"type":"boolean","description":"Gets or sets value indicating whether product is customized."},"mid":{"type":"string","description":"(Optional) Identifies the Manufacturer ID.","nullable":true},"midAddressZip":{"type":"string","description":"(Optional) Identifies the Manufacturer's ZipCode","nullable":true},"additionalInformation":{"type":"string","description":"(Optional) Any other additional information about the product.","nullable":true},"categoryInformation":{"type":"string","description":"(Optional) Any other additional information about the product category.","nullable":true},"isSubscription":{"type":"boolean","description":"(Optional) Identifies if the product is a Subscription based product.","nullable":true},"classificationCode":{"type":"string","description":"Classification code associated with the product.","nullable":true},"classifications":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto"},"description":"List of region classifications for the product.","nullable":true},"eccn":{"type":"string","description":"ECCN","nullable":true},"ean":{"type":"string","description":"(Optional) EAN","nullable":true},"upc":{"type":"string","description":"(Optional) UPC","nullable":true}},"additionalProperties":false,"description":"ProductCatalogDto"},"Customs.Catalog.Domain.Pkg.Models.DTO.Price":{"type":"object","properties":{"amount":{"type":"number","description":"Amount","format":"double","nullable":true},"currency":{"type":"string","description":"Currency","nullable":true}},"additionalProperties":false,"description":"Price"},"Customs.Catalog.Domain.Pkg.Models.DTO.RestrictionDto":{"type":"object","properties":{"type":{"type":"string","description":"Type of restriction.","nullable":true},"criteria":{"type":"string","description":"Criteria.","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"List of countries or \"ALL\" marker restriction to be applied. For example: [\"ALL\"], [\"AU\", \"CH\"]","nullable":true}},"additionalProperties":false,"description":"(Optional) Identifies when a product should be Restricted from Sale in Certain Countries."},"Customs.Catalog.Domain.Pkg.Models.DTO.ProductClassificationDto":{"type":"object","properties":{"regionCode":{"type":"string","description":"Region HS code for the classification.","nullable":true},"region":{"type":"string","description":"Region ISO for the classification.","nullable":true},"duty":{"type":"number","description":"Duty Rate for the classification","format":"double"},"dutyRateType":{"type":"string","description":"Duty Rate Type","nullable":true},"additionalDuty":{"type":"boolean","description":"Additional duty"},"vat":{"type":"number","description":"Vat rate for the classification","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"countries":{"type":"array","items":{"type":"string"},"description":"Countries mapped to the region","nullable":true},"countryVat":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat"},"description":"Gets or sets country-vat pairs","nullable":true}},"additionalProperties":false,"description":"ProductClassificationDto for exposing Classifications for Products"},"Customs.Catalog.Domain.Pkg.Models.Domain.CountryVat":{"type":"object","properties":{"country":{"type":"string","description":"The Country ISO code","nullable":true},"vat":{"type":"number","description":"The Vat value","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true},"subRegions":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat"},"description":"Collection of SubRegionVat object","nullable":true}},"additionalProperties":false,"description":"Represents Country-Vat pair"},"Customs.Catalog.Domain.Pkg.Models.Domain.SubRegionVat":{"type":"object","properties":{"code":{"type":"string","description":"Country ISO code","nullable":true},"vat":{"type":"number","description":"Vat percentage rate","format":"double"},"vatRateType":{"type":"string","description":"VatRateType","nullable":true}},"additionalProperties":false,"description":"SubRegionVat"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Products/ProductsByBrand":{"get":{"tags":["Products"],"summary":"Check if the supplied brandCode exists in database and retrieve products","operationId":"api/v2/Products/ProductsByBrand_GET","parameters":[{"name":"brandCode","in":"query","description":"Unique three-letter identifier for the retailer's brand","schema":{"type":"string"}},{"name":"maxRecords","in":"query","description":"","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.ProductCatalogDto"}}},"application/json":{"schema":{"type":"array","items":{"$
[...]
